from .generic import StateDifference
from .actions import Create


__all__ = [
    'NotExists',
]


class NotExists(StateDifference):
    _msg_templ = '%(path)s not exists'

    @property
    def actions(self):
        yield Create(self._table)
